<?php
 
require_once( "./_rootconfig.php" );
if ( $LMI_PAYEE_PURSE )
{
    mconnect( );
    $manager_email = getsetting( "manager_email" );
    if ( !$BILL_ID )
    {
        $error_msg = "Отсутствует номер счета биллинг-системы.";
    }
    else
    {
        $bill = getbillbyid( $BILL_ID );
        $billMoney = $bill->money_host + $bill->money_domain + $bill->money_addons;
        $string = $LMI_PAYEE_PURSE.$LMI_PAYMENT_AMOUNT.$LMI_PAYMENT_NO.$LMI_MODE.$LMI_SYS_INVS_NO.$LMI_SYS_TRANS_NO.$LMI_SYS_TRANS_DATE.$LMI_SECRET_KEY.$LMI_PAYER_PURSE.$LMI_PAYER_WM;
        if ( strtolower( $LMI_HASH ) != strtolower( md5( $string ) ) )
        {
            $error_msg = "Не правильная контрольная подпись.";
        }
        else if ( $LMI_PAYMENT_AMOUNT <= 0 )
        {
            $error_msg = "Сумма оплаты не может быть меньше или равна нулю.";
        }
        else if ( $LMI_PAYEE_PURSE != getsetting( "wmz" ) && $LMI_PAYEE_PURSE != getsetting( "wmr" ) )
        {
            $error_msg = "Не правильный кошелек продавца.";
        }
        else if ( $LMI_MODE != "0" )
        {
            $error_msg = "Тестовый режим работы Webmoney Merchant.";
        }
        else
        {
            makebillpayed( $BILL_ID );
            $user = getuserbyid( $bill->uid );
            $sid = sprintf( "%04d", $BILL_ID );
            $company_name = getsetting( "company_name" );
            $company_url = getsetting( "company_url" );
            $template = gettpl( "pay_bill" );
            $template = str_replace( "{company_name}", $company_name, $template );
            $template = str_replace( "{company_url}", $company_url, $template );
            $template = str_replace( "{schet}", $sid, $template );
            $template = str_replace( "{bill_date}", mydate( $bill->created ), $template );
            $template = str_replace( "{pay_method}", "WebMoney Merchant", $template );
            sendmail( $user->email, $manager_email, "Оплата счета № {$sid}", $template );
            sendmail( $manager_email, $user->email, "Duplicate: Оплата счета № {$sid}", $template );
            adduserlog( "{$user->id}", "pay", "Bill № {$sid} via Webmoney Merchant" );
            mclose( );
            exit( );
        }
    }
    $msg = "Автоматическая оплата через WebMoney Merchant отклонена биллинг-системой по причине:\n\n{$error_msg}\n\nLMI_PAYEE_PURSE {$LMI_PAYEE_PURSE}\nLMI_PAYMENT_AMOUNT {$LMI_PAYMENT_AMOUNT}\nLMI_PAYMENT_NO {$LMI_PAYMENT_NO}\nLMI_MODE {$LMI_MODE}\nLMI_SYS_INVS_NO {$LMI_SYS_INVS_NO}\nLMI_SYS_TRANS_NO {$LMI_SYS_TRANS_NO}\nLMI_PAYER_PURSE {$LMI_PAYER_PURSE}\nLMI_PAYER_WM {$LMI_PAYER_WM}\nLMI_HASH {$LMI_HASH}\nLMI_SYS_TRANS_DATE {$LMI_SYS_TRANS_DATE}\nLMI_SECRET_KEY {$LMI_SECRET_KEY}\nBILL_ID {$BILL_ID}\nMD5_STRING: ".md5( $string );
    sendmail( $manager_email, $manager_email, "Ошибка автоматической оплаты [WebMoney]", $msg );
    mclose( );
}
?>
