<?php
 
require_once( "./_rootconfig.php" );
if ( $rupay_action == "update" )
{
    mconnect( );
    $manager_email = getsetting( "manager_email" );
    if ( !$rupay_order_id )
    {
        $error_msg = "Отсутствует номер счета биллинг-системы.";
    }
    else
    {
        $bill = getbillbyid( $rupay_order_id );
        $billMoney = $bill->money_host + $bill->money_domain + $bill->money_addons;
        $rupaysecret = getsetting( "rupaysecret" );
        $string = $rupay_action."::".$rupay_site_id."::".$rupay_order_id."::".$rupay_sum."::".$rupay_id."::".$rupay_data."::".$rupay_status."::".$rupaysecret;
        if ( strtoupper( $rupay_hash ) != strtoupper( md5( $string ) ) )
        {
            $error_msg = "Не правильная контрольная подпись.";
        }
        else if ( $rupay_status != "3" )
        {
            $error_msg = "Не правильный статус платежа.";
        }
        else if ( $rupay_sum != $billMoney )
        {
            $error_msg = "Не правильная сумма оплаты.";
        }
        else if ( $rupay_site_id != getsetting( "rupay" ) )
        {
            $error_msg = "Не правильный номер сайта продавца.";
        }
        else
        {
            makebillpayed( $rupay_order_id );
            $user = getuserbyid( $bill->uid );
            $sid = sprintf( "%04d", $rupay_order_id );
            $company_name = getsetting( "company_name" );
            $company_url = getsetting( "company_url" );
            $template = gettpl( "pay_bill" );
            $template = str_replace( "{company_name}", $company_name, $template );
            $template = str_replace( "{company_url}", $company_url, $template );
            $template = str_replace( "{schet}", $sid, $template );
            $template = str_replace( "{bill_date}", mydate( $bill->created ), $template );
            $template = str_replace( "{pay_method}", "RuPay Merchant", $template );
            sendmail( $user->email, $manager_email, "Оплата счета № {$sid}", $template );
            sendmail( $manager_email, $user->email, "Duplicate: Оплата счета № {$sid}", $template );
            adduserlog( "{$user->id}", "pay", "Bill № {$sid} via RuPay Merchant" );
            mclose( );
            exit( );
        }
    }
    $msg = "Автоматическая оплата через RuPay Merchant отклонена биллинг-системой по причине:\n\n{$error_msg}\n\nrupay_action {$rupay_action}\nrupay_site_id {$rupay_site_id}\nrupay_order_id {$rupay_order_id}\nrupay_sum {$rupay_sum}\nrupay_id {$rupay_id}\nrupay_data {$rupay_data}\nrupay_status {$rupay_status}\nrupay_secret_key {$rupay_secret_key}\nrupay_hash {$rupay_hash}";
    sendmail( $manager_email, $manager_email, "Ошибка автоматической оплаты [RuPay]", $msg );
    mclose( );
}
?>
